Bug 217048

Summary: Asus ACPI: Error reading brightness
Product: [Fedora] Fedora Reporter: Howard E Huckle <heh>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: heh, howardhuckle, triage, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 12:55:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Howard E Huckle 2006-11-23 08:14:21 EST
Description of problem:

Error Message is "Asus ACPI: Error reading brightness


Version-Release number of selected component (if applicable):

Kernel 2.6.18-1.2239.fc5

How reproducible:

Every time on logon to KDE.

Steps to Reproduce:
1. Boot up into KDE (rpm kde-base3.5.5-0.2.fc5)
2. log on any account
3. Switch to a konsole screen (e.g. control-alt-f1)
4. Continuus scrolling of above error message
5. Switch back to KDE (control-alt-f7)
6. Switch back a konsole screen (e.g. control-alt-f1)
7. Message has stopped scrolling

  
Actual results:

Scrolling error message on konsole screen

Expected results:

No error message

Additional info:

This occurs on dual-boot (Windows XP/Linux FC5) Sony Vaia portable VGN-A115B. In
addition, whilst message are scrolling on the konsole screen, on the KDE display
 screen a "brightness 7%" message block occassionally flashes up on the screen.
As its format seems to be different to KDE/Fedora etc, I assume it is coming
from the low level BIOS? Apparently this portable has a light sensor that is
uses to control the screen brightness under Windows and I assume it is something
to do with that. I've tried disabling automatic control of brightness whilst
booted to Windows then booting to Linux, but to no avail.
Comment 1 Howard E Huckle 2006-11-23 08:18:47 EST
A workaround is to put ACPI=off a a parameter in the grub conf file, which stps
the message. However it, of course,  stops correct power down of portable.
Comment 2 Howard E Huckle 2006-11-23 11:48:34 EST
A friend has sent me the following ubuntu link which appears to be the same problem.

https://launchpad.net/distros/ubuntu/+source/linux-source-2.6.15/+bug/17125
Comment 3 Bug Zapper 2008-04-04 00:53:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:55:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.